Skip to content
View as Markdown

POST Create Label​

POST
/labels

Create a new global label. Labels are stored in the fc_terms table with taxonomy_name of global_label. The slug, title, and color fields are sanitized server-side.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Request Body​

application/json
JSON
{
"label": {
"slug": "string",
"title": "string",
"color": "string"
}
}

Responses​

Label created successfully.

application/json
JSON
{
"label": {
"id": 0,
"parent_id": 0,
"slug": "string",
"title": "string",
"description": "string",
"position": 0,
"settings": {
"color": "string"
},
"created_at": "string",
"updated_at": "string"
},
"message": "string"
}

Playground​

Authorization
Body

Samples​

Powered by VitePress OpenAPI